Bug 1807955 - Metrics for deploymentConfig resource is not displayed
Summary: Metrics for deploymentConfig resource is not displayed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Sahil Budhwar
QA Contact: Ruchir Garg
URL:
Whiteboard:
Depends On: 1807949
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-27 14:44 UTC by Sahil Budhwar
Modified: 2020-05-04 11:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1807949
Environment:
Last Closed: 2020-05-04 11:43:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
Validation of DeploymentConfig workload metrics bug on 4.4 release (4.05 MB, image/gif)
2020-03-03 13:27 UTC, Abhishek K N
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 4576 0 None closed [release-4.4] Bug 1807955: add empty state for DC in monitoring overview 2020-04-27 08:57:17 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:43:19 UTC

Description Sahil Budhwar 2020-02-27 14:44:24 UTC
+++ This bug was initially created as a clone of Bug #1807949 +++

Since metrics for DeploymentConfig type workloads are unavailable now, topology side panel shall display Metric section with metrics unavailable information as shown below.


Following styles need to applied

icon color should be -pf-globaliconColor-light
font size of text 16px and match the text color above "a few minutes ago"
8px spacer above/between/below

Comment 3 Abhishek K N 2020-03-03 13:27:01 UTC
Created attachment 1667197 [details]
Validation of DeploymentConfig workload metrics bug on 4.4 release

Comment 4 Abhishek K N 2020-03-03 13:28:24 UTC
When metrics are unavailable for DeploymentConfig type workloads, metric section in topology sidebar displays following information as per design "No Metrics Found" "Deployment Configuration metrics are not yet supported" (PSA)

Verified build: 4.4.0-0.ci-2020-03-03-033811
Verified on Browsers: Chrome Version 80.0.3987.122 (Official Build) (64-bit), Safari Version 13.0.5 (14608.5.12)

Comment 6 errata-xmlrpc 2020-05-04 11:43:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.